[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TControlScrollBar.ScrollBarShouldBeVisible

Determines whether a scroll bar is required.

## Declaration

Source position: forms.pp line 143

`protected function TControlScrollBar.ScrollBarShouldBeVisible: Boolean; virtual;`

## Function result

True when Visible, and Range is larger than the Page size.

## See also

TControlScrollBar.Page |  | Number of pixels needed for a page on the associated control.
TControlScrollBar.Range |  | The size of the logical display area on the associated control for the scroll bar orientation.
TControlScrollBar.Visible |  | Hides the scroll bar when False (default True).